Subject: Re: linux-next: build warning after merge of the final tree (in Linus' tree)

From: Eric Paris <[email-masked]>
Date: Wed, 15 May 2013 09:32:42 -0400

On Wed, 2013-05-15 at 13:20 +1000, Stephen Rothwell wrote:
> Hi ,
> 
> After merging the final tree, today's linux-next build (i386 defconfig)
> produced this warning:
> 
> kernel/auditfilter.c: In function 'audit_data_to_entry':
> kernel/auditfilter.c:426:3: warning: this decimal constant is unsigned only in ISO C90 [enabled by default]
> 
> Introduced by commit 780a7654cee8 ("audit: Make testing for a valid
> loginuid explicit") from Linus' tree.

Thank you, I'll fix it up.  What am I likely missing that I don't see it
on my builds?  I'm using gcc 4.8.  Is there a config option that enables
additional warnings?